> ## Documentation Index
> Fetch the complete documentation index at: https://docs.venture.caplia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a company



## OpenAPI

````yaml /api-reference/openapi.json post /v1/companies
openapi: 3.0.0
info:
  version: 1.0.0
  title: Caplia Investor API
  description: >-
    Public REST API for the Caplia Investor Portal. Auth: `Authorization: Bearer
    cap_inv_live_<32 chars>`.
  contact:
    name: Caplia
    url: https://docs.venture.caplia.ai
servers:
  - url: https://api.venture.caplia.ai
    description: Production
security: []
paths:
  /v1/companies:
    post:
      tags:
        - Companies
      summary: Create a company
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 200
                website:
                  type: string
                  format: uri
                industry:
                  type: string
                  maxLength: 100
                stage:
                  type: string
                  maxLength: 50
                properties:
                  type: object
                  additionalProperties:
                    anyOf:
                      - type: string
                        minLength: 1
                        maxLength: 4000
                      - type: array
                        items:
                          type: string
                          minLength: 1
                          maxLength: 200
                        minItems: 1
                        maxItems: 10
                pipeline_ids:
                  type: array
                  items:
                    type: string
                    format: uuid
                  minItems: 1
                  maxItems: 10
                  description: >-
                    Pipeline ids to add the company to (one deal per pipeline,
                    e.g. one per award entered). Must be live pipelines of your
                    team; ids are supplied by your Caplia contact. Omitted: the
                    team's default intake pipeline.
              required:
                - name
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  name:
                    type: string
                  website:
                    type: string
                    nullable: true
                  industry:
                    type: string
                    nullable: true
                  stage:
                    type: string
                    nullable: true
                  problem_statement:
                    type: string
                    nullable: true
                  created_at:
                    type: string
                    nullable: true
                required:
                  - id
                  - name
                  - website
                  - industry
                  - stage
                  - problem_statement
                  - created_at
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error

````